Subject: [os2genau_digest] No. 754
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 21 Dec 2003 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 20 December 2003
 Number  754
**************************************************

Subjects for today
 
1   Java : Graham Norton" <gn at smart-road dot com dot au>
2  Re:  Java : Wayne Armstrong <wdarmst at bacchus dot com dot au>
3  Re:  Java : Graham Norton" <gn at smart-road dot com dot au>
4  Re:  Java : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  Java : Paul Smedley" <paul at smedley.info>

**= Email   1 ==========================**

Date:  Sat, 20 Dec 2003 10:27:43 +1050 (CDT)
From:  "Graham Norton" <gn at smart-road dot com dot au>
Subject:   Java

Hi all

I am not sure if there has been a thread on this recently, but if so ....scold me!

Java!

there are 3 choices as I read it

1.	IBM ( Software Choice)
2.	Innotek Java
3	Goldencode Java

thoughts from users as to preferences?

Cheers

Graham

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 20 Dec 2003 10:06:53 +1000
From:  Wayne Armstrong <wdarmst at bacchus dot com dot au>
Subject:  Re:  Java

None :)

Regards,
Wayne

Graham Norton wrote:

> Hi all
> 
> I am not sure if there has been a thread on this recently, but if so ....scold me!
> 
> Java!
> 
> there are 3 choices as I read it
> 
> 1.	IBM ( Software Choice)
> 2.	Innotek Java
> 3	Goldencode Java
> 
> thoughts from users as to preferences?
> 
> Cheers
> 
> Graham
> 

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 20 Dec 2003 10:40:34 +1050 (CDT)
From:  "Graham Norton" <gn at smart-road dot com dot au>
Subject:  Re:  Java

OK  so I left off an option!

1.	IBM ( Software Choice)
2.	Innotek Java
3	Goldencode Java
4	None!

not that I was trying to do a survey on what people use, rather on what people think is at present the more stable and os2 
friendly!

On Sat, 20 Dec 2003 10:06:53 +1000, Wayne Armstrong wrote:

>None :)
>
>
>Regards,
>Wayne
>
>Graham Norton wrote:
>
>> Hi all
>> 
>> I am not sure if there has been a thread on this recently, but if so ....scold me!
>> 
>> Java!
>> 
>> there are 3 choices as I read it
>> 
>> 1.	IBM ( Software Choice)
>> 2.	Innotek Java
>> 3	Goldencode Java
>> 
>> thoughts from users as to preferences?
>> 
>> Cheers
>> 
>> Graham
>> 
>
>>  
>
>

> 

Graham Norton
President
OS2 Users Group SA

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 20 Dec 2003 12:54:13 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Java

IBM appear to have stopped development of Java at the 1.3.x level and in gact
recommend on the website, to use the Innotek product.

Go with the Innotek Java 1.4.2 - It is an Odin-ised version of the SUN Windoze
product, rather than a total re-compile as in the case of the Golden Code version.

The advantage of this is 99.9 % compatibility - it a Java program runs under the
Windows version of SUNs Java, it'll run under the Innotek version. Another advantage
is "time to market". Innotek are talking about being a few DAYs behind the Windows
release. A complete compile and debug as Golden Code have to do can take weeks or even
months. Their release code is still at 1.41 not 1.42 level.

It has been claimed that the "native code" will execute quicker. This is probably true
on low powered systems (sub 400 MHz) however on the average new system, there's no
difference.

Cheers/2

Ed.

Graham Norton wrote:

> Hi all
>
> I am not sure if there has been a thread on this recently, but if so ....scold me!
>
> Java!
>
> there are 3 choices as I read it
>
> 1.      IBM ( Software Choice)
> 2.      Innotek Java
> 3       Goldencode Java
>
> thoughts from users as to preferences?
>
> Cheers
>
> Graham
>

>  

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 20 Dec 2003 19:38:10 +1050 (CDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re:  Java

Hi Graham,

On Sat, 20 Dec 2003 10:27:43 +1050 (CDT), Graham Norton wrote:
>I am not sure if there has been a thread on this recently, but if so ....scold me!
>
>Java!
>
>there are 3 choices as I read it
>
>1.	IBM ( Software Choice)
>2.	Innotek Java
>3	Goldencode Java
>
>thoughts from users as to preferences?
My preference is Innotek.  Java plugin works with everything I throw at it, and Xnap also 
works good.  Have downloaded but not really played with Goldencode - as Ed has 
mentioned - it's an older version of Java, and also isn't updated as frequently as the Innotek 
version.

Cheers,

Paul.

----------------------------------------------------------------------------------